{% load wagtailcore_tags wagtailimages_tags shared_perex %}

<div
  class="
    {% block wrapper_classes %}
      bg-black text-white
    {% endblock %}
  "
  id="aktuality"
>
  <div class="container--medium __js-root">
    <div
      class="
        flex gap-2 items-start py-16 flex-col

        xl:py-24 xl:flex-row xl:gap-4
      "
    >
      <h2 class="{% block heading_classes %}head-14xl head-compact{% endblock %}">
        {% if not title %}{{ self.title }}{% else %}{{ title }}{% endif %}
      </h2>
      <p class="
        {% block description_classes %}
          max-w-[350px] font-condensed text-xl
        {% endblock %}
      ">
        {% if not description %}
          {% if self.description %}
            {{ self.description }}
          {% endif %}
        {% else %}
          {{ description }}
        {% endif %}
      </p>
    </div>

    <ui-horizontal-scrollable
      classes="
        flex gap-8 overflow-x-scroll mt-4 mb-8
        lg:mt-0 lg:grid lg:grid-cols-2
        xl:grid-cols-3
      "
    >
      {% for article in article_data_list %}
        {% if article.thumb_image %}
          {% image article.thumb_image max-1024x1024 as article_thumbnail_image %}
        {% else %}
          {% image article.image max-1024x1024 as article_thumbnail_image %}
        {% endif %}

        {% include 'styleguide2/includes/molecules/boxes/card_box.html' with url=article.url image=article_thumbnail_image date=article.date header=article.title content=article.perex|shorten_perex %}
      {% endfor %}
    </ui-horizontal-scrollable>

    <div
      class="
        {% block button_wrapper_classes %}
          flex justify-center pt-12

          xl:py-24
        {% endblock %}
      "
    >
      {% include "styleguide2/includes/atoms/buttons/round_button.html" with text="Více článků" classes="bg-white text-black" url=page.root_page.articles_page.url show_arrow_on_hover=True %}
    </div>
  </div>
</div>
